# Define the kmod package name here.
%define kmod_name r8712u

# Define the Realtek package name here.
%define pkg_name rtl8712_8188_8191_8192SU_usb_linux

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-358.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 2.6.6.0.20120405
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  RTL819xSU_usb_linux_v%{version}.zip
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Patches.
Patch0: ELRepo-r8712u.patch

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{pkg_name}_v%{version}
pushd driver > /dev/null
%{__tar} -zxf %{pkg_name}_v%{version}.tar.gz
%patch0 -p1
popd > /dev/null
echo "override 8712u * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd driver/%{pkg_name}_v%{version} > /dev/null
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion}
popd > /dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} driver/%{pkg_name}_v%{version}/8712u.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} readme.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ReleaseNotes.pdf %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} document/*.pdf %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} document/*.doc %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat May 25 2013 Alan Bartlett <ajb@elrepo.org> - 2.6.6.0.20120405-1
- Initial el6 build of the kmod package.
